Bug 1656414 - Tracker crash on shutdown --> long delay time (A stop job is running for User Manager with UID 1000)
Summary: Tracker crash on shutdown --> long delay time (A stop job is running for User...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-search-tool
Version: 29
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Rui Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1664491 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-05 13:18 UTC by Jan Iversen
Modified: 2019-12-13 05:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 18:16:12 UTC
bugzilla: needinfo-
bugzilla: needinfo-


Attachments (Terms of Use)
Systemd-Journal with crash-log from tracker (97.20 KB, text/plain)
2018-12-05 13:18 UTC, Jan Iversen
no flags Details
Foto (88.80 KB, image/jpeg)
2018-12-05 13:19 UTC, Jan Iversen
no flags Details
complete system-d journal (7.31 KB, text/plain)
2018-12-05 13:21 UTC, Jan Iversen
no flags Details

Description Jan Iversen 2018-12-05 13:18:49 UTC
Created attachment 1511674 [details]
Systemd-Journal with crash-log from tracker

Description of problem:
The shutdown in Fedora 29 takes about 90 seconds. It seems, that the tracker for the file-indexing in gnome crashes on shutdown. This prevents a fast shutdown.

Version-Release number of selected component (if applicable):
Fedora 29 with Gnome 3.30

How reproducible:
I can reproduce this on two machines regularly.

Steps to Reproduce:
1. start fedora 29
2. login to gnome
3. work a little time with the system
4. shutdown

Actual results:
The system hangs with the following message "A stop job is running for User Manager with UID 1000" for about 90 seconds

Expected results:
Fast shutdown.

Additional info:
I attached an extract of the systemd-journal and a foto of the message.

Comment 1 Jan Iversen 2018-12-05 13:19:46 UTC
Created attachment 1511675 [details]
Foto

Comment 2 Jan Iversen 2018-12-05 13:21:08 UTC
Created attachment 1511676 [details]
complete system-d journal

Comment 3 Romain Failliot 2019-03-22 12:36:53 UTC
I do have the exact same bug! Didn't know it was because gnome-search-tool.

I did open a bug for it: https://bugzilla.redhat.com/show_bug.cgi?id=1664491
But I think this one is better.

Comment 4 Romain Failliot 2019-03-22 12:38:58 UTC
*** Bug 1664491 has been marked as a duplicate of this bug. ***

Comment 5 Ben Cotton 2019-10-31 18:50:04 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Romain Failliot 2019-11-01 12:08:49 UTC
I still have the bug under Fedora 30.

Comment 7 Ben Cotton 2019-11-27 18:16:12 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Romain Failliot 2019-11-28 12:46:16 UTC
I can't reopen this issue, but I definitively had this bug on Fedora 30. If the owner of this bug could simply change the affected version, that would be nice.
I'm on Fedora 31 now, and waiting to see if the bug if still here (to reproduce it, I need to shutdown my pc, which I don't do very often ;)).

Comment 9 Romain Failliot 2019-11-28 12:57:51 UTC
I can't reopen this issue, but I definitively had this bug on Fedora 30. If the owner of this bug could simply change the affected version, that would be nice.
I'm on Fedora 31 now, and waiting to see if the bug if still here (to reproduce it, I need to shutdown my pc, which I don't do very often ;)).

Comment 10 Romain Failliot 2019-11-28 12:59:12 UTC
Sorry for double posting, there's been an issue with the server (internal error) and it ended up like that.


Note You need to log in before you can comment on or make changes to this bug.